package fglrx 2:8.723.1-0ubuntu4 failed to install/upgrade: fglrx kernel module failed to build

Bug #641679 reported by George Christian on 2010-09-17
24
This bug affects 5 people
Affects Status Importance Assigned to Milestone
fglrx-installer (Ubuntu)
Undecided
Unassigned
Nominated for Lucid by Jace Prince

Bug Description

installed fglrx after normal desktop install, updated for first time w/ update manager, rebooted and crash
similar behavior with ubuntu server, but did not verify if same kernel that causes it

sudo ubuntu-bug -p fglrx-installer
[sudo] password for :
Warning: The options -p/-P are deprecated, please do not use them. See /usr/bin/ubuntu-bug --help

ProblemType: Package
DistroRelease: Ubuntu 10.04
Package: fglrx 2:8.723.1-0ubuntu4
ProcVersionSignature: Ubuntu 2.6.32-24.43-generic 2.6.32.15+drm33.5
Uname: Linux 2.6.32-24-generic x86_64
Architecture: amd64
Date: Fri Sep 17 15:11:34 2010
DkmsStatus: fglrx, 8.723.1, 2.6.32-21-generic, x86_64: installed
ErrorMessage: fglrx kernel module failed to build
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
MachineType: Shuttle Inc SG33
PackageVersion: 2:8.723.1-0ubuntu4
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-24-generic root=UUID=cd476fc1-e0c2-46c0-a5b7-32ed9b4e67c0 ro quiet splash
SourcePackage: fglrx-installer
Title: package fglrx 2:8.723.1-0ubuntu4 failed to install/upgrade: fglrx kernel module failed to build
dmi.bios.date: 11/04/2008
dmi.bios.vendor: Phoenix Technologies, LTD
dmi.bios.version: 6.00 PG
dmi.board.name: FG33
dmi.board.vendor: Shuttle Inc
dmi.board.version: V10
dmi.chassis.type: 3
dmi.chassis.vendor: Shuttle Inc
dmi.chassis.version: G5
dmi.modalias: dmi:bvnPhoenixTechnologies,LTD:bvr6.00PG:bd11/04/2008:svnShuttleInc:pnSG33:pvrV10:rvnShuttleInc:rnFG33:rvrV10:cvnShuttleInc:ct3:cvrG5:
dmi.product.name: SG33
dmi.product.version: V10
dmi.sys.vendor: Shuttle Inc
glxinfo: Error: [Errno 2] No such file or directory
system:
 distro: Ubuntu
 codename: lucid
 architecture: x86_64
 kernel: 2.6.32-24-generic

CVE References

George Christian (ion-pula-rau) wrote :
Steve G. (sgo.ger) wrote :

Error appeared after I updated to kernel 2.6.32-24.43-generic yesterday. Seems to be a build error with this kernel version.

make.log says:
...
  CC [M] /var/lib/dkms/fglrx/8.771/build/2.6.x/kcl_ioctl.o
/var/lib/dkms/fglrx/8.771/build/2.6.x/kcl_ioctl.c: In function ‘KCL_IOCTL_AllocUserSpace32’:
/var/lib/dkms/fglrx/8.771/build/2.6.x/kcl_ioctl.c:196: error: implicit declaration of function ‘compat_alloc_user_space’
/var/lib/dkms/fglrx/8.771/build/2.6.x/kcl_ioctl.c:196: warning: return makes pointer from integer without a cast
make[2]: *** [/var/lib/dkms/fglrx/8.771/build/2.6.x/kcl_ioctl.o] Fehler 1
make[1]: *** [_module_/var/lib/dkms/fglrx/8.771/build/2.6.x] Fehler 2
...

Can't install _any_ fglrx version. No matter if manually or per jockey.

Ufuk (ufukkilicaslan) wrote :

I want to add the changelog of kernel package since it may be related:

linux (2.6.32-24.43) lucid-security; urgency=low

  [ Upstream Kernel Changes ]

  * x86-64, compat: Test %rax for the syscall number, not %eax
    - CVE-2010-3301
  * x86-64, compat: Retruncate rax after ia32 syscall entry tracing
    - CVE-2010-3301
  * compat: Make compat_alloc_user_space() incorporate the access_ok()
    - CVE-2010-3081

Jace Prince (snow4dayz) wrote :

I am not Linux savvy but I am affected by this issue. Anyone found a work around? I find it odd that I did not have these issues in Wubi but when I switched to a dual-boot the drivers for ATI won't install. Hope this is addressed soon until then this blinding resolution is to difficult to work with.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers